Skip to main content
GET
https://api.dintero.com/v1/
/
accounts
/
{aid}
/
products
/
groups
Group collection
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/products/groups \
  --header 'Authorization: Bearer <token>'
{
  "groups": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
      "deleted_at": "2023-11-07T05:31:56Z",
      "group_id": "B1",
      "group_name": "Møbel"
    }
  ],
  "starting_after": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100
starting_after
string

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, end the result contains paging_token=pt1, your subsequent call can include starting_after=pt1 in order to fetch the next page of the list.

group_id
string

A string that uniquely identifies the group. (must not have trailing or leading spaces)

Maximum string length: 255

Response

Group collection

groups
object[]
starting_after
string